### Method

# FwupdPlugin UdevDevice get_devpath

since: 2.0.1

#### Declaration [src]

    gchar*
    fu_udev_device_get_devpath (
      FuUdevDevice* self
    )

#### Description [src]

Sets the physical ID from the sysfs path, with the `/sys` prefixed removed.

Available since: 2.0.1

#### Return value

Type: `gchar*`

The udev-compatble device path, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.